Bug 17587 - Remove itemtype-related IsItemIssued.t warnings
Summary: Remove itemtype-related IsItemIssued.t warnings
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 14598
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-08 15:39 UTC by Tomás Cohen Arazi
Modified: 2016-12-14 10:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17587: Remove itemtype-related IsItemIssued.t warnings (2.22 KB, patch)
2016-11-08 15:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17587: Remove itemtype-related IsItemIssued.t warnings (2.29 KB, patch)
2016-11-09 10:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17587: Remove itemtype-related IsItemIssued.t warnings (2.37 KB, patch)
2016-11-11 08:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-08 15:39:51 UTC

    
Comment 1 Tomás Cohen Arazi 2016-11-08 15:42:43 UTC
Created attachment 57333 [details] [review]
Bug 17587: Remove itemtype-related IsItemIssued.t warnings

This patch makes t/db_dependent/Circulation/IsItemIssued.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/IsItemIssued.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/IsItemIssued.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 2 Josef Moravec 2016-11-09 10:12:17 UTC
Created attachment 57367 [details] [review]
[SIGNED-OFF] Bug 17587: Remove itemtype-related IsItemIssued.t warnings

This patch makes t/db_dependent/Circulation/IsItemIssued.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/IsItemIssued.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/IsItemIssued.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2016-11-11 08:08:24 UTC
Created attachment 57445 [details] [review]
Bug 17587: Remove itemtype-related IsItemIssued.t warnings

This patch makes t/db_dependent/Circulation/IsItemIssued.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Circulation/IsItemIssued.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation/IsItemIssued.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2016-11-11 08:09:01 UTC
Still one warning (out of scope):
C4::Context->userenv not defined! at /usr/share/koha/masterclone/C4/Items.pm line 2267.
Comment 5 Kyle M Hall 2016-11-12 02:36:40 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 6 Mason James 2016-12-14 10:49:20 UTC
Pushed to 16.05.x, for 16.05.06 release